Java.com

Télécharger Aide

Version imprimable

Pourquoi désinstaller les anciennes versions de Java de mon système ?


Cet article s'applique aux éléments suivants:
  • Plate(s)-forme(s): Windows 2000, Windows 7, Windows 8, Windows XP

Il est toujours recommandé d'utiliser la dernière version de Java car elle contient des mises à jour de fonctionnalité, des corrections de vulnérabilité et des améliorations de performances par rapport aux versions précédentes. Pour vérifier que vous disposez bien de la dernière version, rendez-vous sur la page de vérification Java.

Dois-je désinstaller les anciennes versions de Java ?

Il est fortement recommandé de désinstaller l'ensemble des anciennes versions de Java du système.
La conservation des anciennes versions de Java sur un système présente un risque important pour la sécurité.
La désinstallation des anciennes versions de Java du système permet de garantir que les applications Java seront exécutées avec les dernières améliorations en matière de sécurité et de performance.

Comment puis-je supprimer les anciennes versions de Java ?

Vous pouvez désinstaller en toute sécurité les anciennes versions de Java de votre système à l'aide de l'outil de désinstallation Java ou en suivant les instructions figurant sur la page relative à la désinstallation manuelle de Java pour Windows.

Utilisateurs Windows : améliorez la sécurité de votre ordinateur en recherchant les anciennes versions de Java et en les supprimant à l'aide de l'outil de désinstallation de Java.

» En savoir plus sur l'outil de désinstallation Java

Comment puis-je supprimer Java de mon ordinateur ?

Windows : vous pouvez désinstaller les versions de Java manuellement de la même manière que vous désinstalleriez tout autre logiciel de votre ordinateur Windows. Suivez les instructions figurant sur la page relative à la désinstallation manuelle de Java pour Windows.
» Instructions de désinstallation de Java pour Mac
» Instructions de désinstallation de Java pour Linux

Ai-je besoin des anciennes versions de Java ?

La dernière version disponible est compatible avec les anciennes versions. Cependant, certaines applications (ou applets) Java peuvent stipuler qu'elles dépendent d'une version particulière, auquel cas il est possible qu'elles ne puissent pas être exécutées si la version en question n'est pas installée. Si une application ou une page Web requiert une ancienne version de Java, signalez-le au fournisseur/développeur et demandez-lui de mettre à jour l'application afin de la rendre compatible avec l'ensemble des versions de Java.


Les éléments suivants pourraient également vous intéresser:



Sélectionner une langue | A propos de Java | Support technique | Développeurs
Politique de confidentialité | Conditions d'utilisation | Trademarks | Avis de non-responsabilité

Oracle